libtls: Make min/max TLS version configurable
authorTobias Brunner <tobias@strongswan.org>
Wed, 13 Jan 2021 13:40:40 +0000 (14:40 +0100)
committerTobias Brunner <tobias@strongswan.org>
Fri, 12 Feb 2021 13:35:23 +0000 (14:35 +0100)
commit663969ddf7856f7f92c27ed78accc5bdeb303215
tree15e53577254e06e52343f0d746998bc49d87a581
parent9389fef78a2831cd30d72a14d8155e960c0c4f15
libtls: Make min/max TLS version configurable

Except for the tls_test tool, the versions now default to those
configured in strongswan.conf.
conf/options/charon.opt
scripts/tls_test.c
src/libcharon/plugins/tnc_ifmap/tnc_ifmap_soap.c
src/libpttls/pt_tls_client.c
src/libpttls/pt_tls_server.c
src/libtls/tests/suites/test_socket.c
src/libtls/tls.c
src/libtls/tls.h
src/libtls/tls_socket.h